package org.switchyard.example.bpel;

import org.switchyard.component.bean.Service;

@Service(value = RiskAssessmentService.class, name = "Assessor")
public class AssessorBean implements RiskAssessmentService {

	@Override
	public RiskLevel check(LoanRequest request) {
		if (request.getName() == null || request.getName().length() == 0
				|| request.getName().equalsIgnoreCase("Bloggs")) {
			return RiskLevel.HIGH;
		}
		return RiskLevel.LOW;
	}

}
